<?php declare(strict_types=1);

namespace Infomaker\Imengine\CropData\Interfaces;

/**
 * Interface CropResizeDataInterface
 *
 * @package Infomaker\Imengine\CropData\Interfaces
 */
interface CropResizeDataInterface
{

    /**
     * @return int Width of the resulting image.
     */
    public function getWidth(): ?int;

    /**
     * @return int Height of the resulting image.
     */
    public function getHeight(): ?int;

    /**
     * @return float Height of the soft crop, as percent of the original image.
     */
    public function getCropHeight(): float;

    /**
     * @return float Width of the soft crop, as percent of the original image.
     */
    public function getCropWidth(): float;

    /**
     * @return float Horisontal start position for the soft crop, as percentage of the original image from the left.
     */
    public function getCropX(): float;

    /**
     * @return float Vertical start position for the soft crop, as percentage of the original image from the top.
     */
    public function getCropY(): float;
}
